std::execution::on(3)

NAME
std::execution::on - std::execution::on

Synopsis
   Defined in header <execution>
   execution::sender auto on(
       execution::scheduler auto sched, (since C++26)
       execution::sender auto snd
   );

Parameters
   sched - provides execution agent on which the sender will be executed
   snd - work to be executed on the execution resource associated with sched

Return value
   Returns a sender which, when started, will start the provided sender on an execution
   agent belonging to the execution resource associated with the provided scheduler.
   The returned sender has no completion schedulers.